<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.eclipse.jetty</groupId>
    <artifactId>jetty-project</artifactId>
    <version>9.4.41.v20210516</version>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.eclipse.jetty.osgi</groupId>
  <artifactId>jetty-osgi-project</artifactId>
  <name>Jetty :: OSGi</name>
  <packaging>pom</packaging>

  <properties>
    <osgi-version>3.16.0</osgi-version>
    <osgi-services-version>3.9.0</osgi-services-version>
    <osgi-util-version>3.5.300</osgi-util-version>
    <equinox-http-servlet-version>1.0.0-v20070606</equinox-http-servlet-version>
  </properties>

  <modules>
    <module>jetty-osgi-boot</module>
    <module>jetty-osgi-boot-jsp</module>
    <module>jetty-osgi-boot-warurl</module>
    <module>jetty-osgi-httpservice</module>
    <module>test-jetty-osgi-webapp</module>
    <module>test-jetty-osgi-webapp-resources</module>
    <module>test-jetty-osgi-context</module>
    <module>test-jetty-osgi-fragment</module>
    <module>test-jetty-osgi-server</module>
    <module>jetty-osgi-alpn</module>
    <module>test-jetty-osgi</module>
  </modules>

  <build>
    <resources>
      <resource>
        <directory>META-INF/..</directory>
        <filtering>true</filtering>
        <excludes>
          <exclude>**/.*</exclude>
          <exclude>**/*.jar</exclude>
          <exclude>.settings/**/*</exclude>
          <exclude>pom.xml</exclude>
          <!-- exclude>META-INF/**/*</exclude -->
          <exclude>jettyhome/**/*</exclude>
          <exclude>src/**/*</exclude>
          <exclude>target/**/*</exclude>
          <exclude>build.properties</exclude>
        </excludes>
        <includes>
          <include>META-INF/**/*</include>
        </includes>
      </resource>
      <resource>
        <directory>src/main/java</directory>
        <excludes>
          <exclude>**/*.java</exclude>
        </excludes>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-eclipse-plugin</artifactId>
        <configuration>
          <manifest>prevent/overwriting/by/pointing/to/nonexisting/MANIFEST.MF</manifest>
          <pde>true</pde>
          <downloadSources>true</downloadSources>
          <sourceExcludes>
            <sourceExclude>**/.svn/**</sourceExclude>
          </sourceExcludes>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.jacoco</groupId>
        <artifactId>jacoco-maven-plugin</artifactId>
        <configuration>
          <skip>true</skip>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-annotations</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-continuation</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-websocket</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-util</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-jmx</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-webapp</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-deploy</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-nested</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-servlet</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-servlets</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.platform</groupId>
        <artifactId>org.eclipse.osgi.services</artifactId>
        <version>${osgi-services-version}</version>
        <exclusions>
          <exclusion>
            <!-- we use the servlet jar from orbit -->
            <groupId>javax.servlet</groupId>
            <artifactId>servlet-api</artifactId>
          </exclusion>
          <exclusion>
            <!-- cannot override core java classes with Java 9+ -->
            <groupId>org.apache.felix</groupId>
            <artifactId>org.osgi.foundation</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.eclipse.platform</groupId>
        <artifactId>org.eclipse.osgi</artifactId>
        <version>${osgi-version}</version>
      </dependency>
      <dependency>
        <groupId>org.eclipse.equinox.http</groupId>
        <artifactId>servlet</artifactId>
        <version>${equinox-http-servlet-version}</version>
      </dependency>
      <dependency>
        <groupId>org.slf4j</groupId>
        <artifactId>slf4j-api</artifactId>
        <version>${slf4j.version}</version>
      </dependency>
      <dependency>
        <groupId>org.slf4j</groupId>
        <artifactId>jcl-over-slf4j</artifactId>
        <version>${slf4j.version}</version>
      </dependency>
      <dependency>
        <groupId>org.slf4j</groupId>
        <artifactId>log4j-over-slf4j</artifactId>
        <version>${slf4j.version}</version>
      </dependency>
      <dependency>
        <groupId>ch.qos.logback</groupId>
        <artifactId>logback-core</artifactId>
        <version>${logback.version}</version>
      </dependency>
      <dependency>
        <groupId>ch.qos.logback</groupId>
        <artifactId>logback-classic</artifactId>
        <version>${logback.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

</project>
